using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
namespace MetaClient
{
    public class UIGameMenuForm : UGuiForm
    {
        // Start is called before the first frame update

        [Header("金币数量")]
        public Text coinMoneyText;
        [Header("砖石数量")]
        public Text diamondMoneyText;
        [Header("人物icon")]
        public Image roleIcon;



        protected override void OnOpen(object userData)
        {
            base.OnOpen(userData);
            Refesh();

        }
        protected override void OnClose(bool isShutdown, object userData)
        {
            base.OnClose(isShutdown, userData);
        }
        /// <summary>
        /// 金币数量，钻石数量，人物icon刷新
        /// </summary>

        public void Refesh()
        {
            //roleIcon.sprite=
            coinMoneyText.text = 1000 + "";
            diamondMoneyText.text = 10 + "";
        }
        public void AddCoinMoneyFun() {
        
        }
        public void AddDiamondMoneyfun()
        { 

        }
        public void RoleIconChangeFun()
        { 
        }
        ///// <summary>
        ///// 切换界面
        ///// </summary>
        //public void OpenViewUIFormId(UIFormId uIFormId) {
        //    GameEntry.UI.OpenUIForm(uIFormId);
        //}
        /// <summary>
        /// 打开元宇宙界面
        /// </summary>
        public void OpenYUniverseView()
        {
            //GameEntry.UI.OpenUIForm();
        }
        /// <summary>
        /// 打开创作界面
        /// </summary>
        public void OpenCreateView()
        {
            //GameEntry.UI.OpenUIForm();
        }
        /// <summary>
        /// 打开创作界面
        /// </summary>
        public void OpenCameraView()
        {
            //GameEntry.UI.OpenUIForm();
        }
        /// <summary>
        /// 打开捏脸界面
        /// </summary>
        public void OpenBehaviorView()
        {
            Debug.Log("打开捏脸界面");
            Close();
           // GameEntry.UI.OpenUIForm(UIFormId.CustomRole);
            
        }
        public void OpenShopView()
        {
            GameEntry.UI.OpenUIForm(UIFormId.CustomRole);
        }


    }
}
